import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增标签
    appCourseLabelList(data) {
        return request({
            url: '/course/label',
            method: 'post',
            data
        })
    },
    //修改标签
    editCourseLabelList(data) {
        return request({
            url: '/course/label/edit',
            method: 'post',
            data
        })
    },
    //查询标签列表
    inquireCourseLabelList(data) {
        return request({
            url: '/course/label/list',
            method: 'get',
            params: data
        })
    },
    //获取标签详细信息
    obtainCourseLabelList(data) {
        return request({
            url: `/course/label/` + data,
            method: 'get',
        })
    },
    //删除关联标签
    editMajorCourseLabelList(data) {
        return request({
            url: '/course/label/editMajor',
            method: 'post',
            data
        })
    },
    //查询标签关联专业列表
    inquireCourseLabelListMajor(data) {
        return request({
            url: '/course/label/listMajor',
            method: 'get',
            params: data
        })
    },
}